/*
*
* CwGlInitbuildTempExample.java
* Copyright(C) 2017-2020 DHCC
* @date 2019-04-29
*/
package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwGlInitbuildTempExample {

	protected String orderByClause;
	protected boolean distinct;
	protected List<Criteria> oredCriteria;

	public CwGlInitbuildTempExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andPkGlorgbookIsNull() {
			addCriterion("PK_GLORGBOOK is null");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIsNotNull() {
			addCriterion("PK_GLORGBOOK is not null");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookEqualTo(String value) {
			addCriterion("PK_GLORGBOOK =", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotEqualTo(String value) {
			addCriterion("PK_GLORGBOOK <>", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookGreaterThan(String value) {
			addCriterion("PK_GLORGBOOK >", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookGreaterThanOrEqualTo(String value) {
			addCriterion("PK_GLORGBOOK >=", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLessThan(String value) {
			addCriterion("PK_GLORGBOOK <", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLessThanOrEqualTo(String value) {
			addCriterion("PK_GLORGBOOK <=", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLike(String value) {
			addCriterion("PK_GLORGBOOK like", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotLike(String value) {
			addCriterion("PK_GLORGBOOK not like", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIn(List<String> values) {
			addCriterion("PK_GLORGBOOK in", values, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotIn(List<String> values) {
			addCriterion("PK_GLORGBOOK not in", values, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookBetween(String value1, String value2) {
			addCriterion("PK_GLORGBOOK between", value1, value2, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotBetween(String value1, String value2) {
			addCriterion("PK_GLORGBOOK not between", value1, value2, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPeriodIsNull() {
			addCriterion("PERIOD is null");
			return (Criteria) this;
		}

		public Criteria andPeriodIsNotNull() {
			addCriterion("PERIOD is not null");
			return (Criteria) this;
		}

		public Criteria andPeriodEqualTo(String value) {
			addCriterion("PERIOD =", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotEqualTo(String value) {
			addCriterion("PERIOD <>", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodGreaterThan(String value) {
			addCriterion("PERIOD >", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodGreaterThanOrEqualTo(String value) {
			addCriterion("PERIOD >=", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLessThan(String value) {
			addCriterion("PERIOD <", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLessThanOrEqualTo(String value) {
			addCriterion("PERIOD <=", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLike(String value) {
			addCriterion("PERIOD like", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotLike(String value) {
			addCriterion("PERIOD not like", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodIn(List<String> values) {
			addCriterion("PERIOD in", values, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotIn(List<String> values) {
			addCriterion("PERIOD not in", values, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodBetween(String value1, String value2) {
			addCriterion("PERIOD between", value1, value2, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotBetween(String value1, String value2) {
			addCriterion("PERIOD not between", value1, value2, "period");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeIsNull() {
			addCriterion("PK_SUBJTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeIsNotNull() {
			addCriterion("PK_SUBJTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeEqualTo(String value) {
			addCriterion("PK_SUBJTYPE =", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeNotEqualTo(String value) {
			addCriterion("PK_SUBJTYPE <>", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeGreaterThan(String value) {
			addCriterion("PK_SUBJTYPE >", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_SUBJTYPE >=", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeLessThan(String value) {
			addCriterion("PK_SUBJTYPE <", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeLessThanOrEqualTo(String value) {
			addCriterion("PK_SUBJTYPE <=", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeLike(String value) {
			addCriterion("PK_SUBJTYPE like", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeNotLike(String value) {
			addCriterion("PK_SUBJTYPE not like", value, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeIn(List<String> values) {
			addCriterion("PK_SUBJTYPE in", values, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeNotIn(List<String> values) {
			addCriterion("PK_SUBJTYPE not in", values, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeBetween(String value1, String value2) {
			addCriterion("PK_SUBJTYPE between", value1, value2, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkSubjtypeNotBetween(String value1, String value2) {
			addCriterion("PK_SUBJTYPE not between", value1, value2, "pkSubjtype");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjIsNull() {
			addCriterion("PK_ACCSUBJ is null");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjIsNotNull() {
			addCriterion("PK_ACCSUBJ is not null");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjEqualTo(String value) {
			addCriterion("PK_ACCSUBJ =", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotEqualTo(String value) {
			addCriterion("PK_ACCSUBJ <>", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjGreaterThan(String value) {
			addCriterion("PK_ACCSUBJ >", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjGreaterThanOrEqualTo(String value) {
			addCriterion("PK_ACCSUBJ >=", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjLessThan(String value) {
			addCriterion("PK_ACCSUBJ <", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjLessThanOrEqualTo(String value) {
			addCriterion("PK_ACCSUBJ <=", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjLike(String value) {
			addCriterion("PK_ACCSUBJ like", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotLike(String value) {
			addCriterion("PK_ACCSUBJ not like", value, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjIn(List<String> values) {
			addCriterion("PK_ACCSUBJ in", values, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotIn(List<String> values) {
			addCriterion("PK_ACCSUBJ not in", values, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjBetween(String value1, String value2) {
			addCriterion("PK_ACCSUBJ between", value1, value2, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andPkAccsubjNotBetween(String value1, String value2) {
			addCriterion("PK_ACCSUBJ not between", value1, value2, "pkAccsubj");
			return (Criteria) this;
		}

		public Criteria andSubjcodeIsNull() {
			addCriterion("SUBJCODE is null");
			return (Criteria) this;
		}

		public Criteria andSubjcodeIsNotNull() {
			addCriterion("SUBJCODE is not null");
			return (Criteria) this;
		}

		public Criteria andSubjcodeEqualTo(String value) {
			addCriterion("SUBJCODE =", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotEqualTo(String value) {
			addCriterion("SUBJCODE <>", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeGreaterThan(String value) {
			addCriterion("SUBJCODE >", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeGreaterThanOrEqualTo(String value) {
			addCriterion("SUBJCODE >=", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeLessThan(String value) {
			addCriterion("SUBJCODE <", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeLessThanOrEqualTo(String value) {
			addCriterion("SUBJCODE <=", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeLike(String value) {
			addCriterion("SUBJCODE like", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotLike(String value) {
			addCriterion("SUBJCODE not like", value, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeIn(List<String> values) {
			addCriterion("SUBJCODE in", values, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotIn(List<String> values) {
			addCriterion("SUBJCODE not in", values, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeBetween(String value1, String value2) {
			addCriterion("SUBJCODE between", value1, value2, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjcodeNotBetween(String value1, String value2) {
			addCriterion("SUBJCODE not between", value1, value2, "subjcode");
			return (Criteria) this;
		}

		public Criteria andSubjnameIsNull() {
			addCriterion("SUBJNAME is null");
			return (Criteria) this;
		}

		public Criteria andSubjnameIsNotNull() {
			addCriterion("SUBJNAME is not null");
			return (Criteria) this;
		}

		public Criteria andSubjnameEqualTo(String value) {
			addCriterion("SUBJNAME =", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotEqualTo(String value) {
			addCriterion("SUBJNAME <>", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameGreaterThan(String value) {
			addCriterion("SUBJNAME >", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameGreaterThanOrEqualTo(String value) {
			addCriterion("SUBJNAME >=", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameLessThan(String value) {
			addCriterion("SUBJNAME <", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameLessThanOrEqualTo(String value) {
			addCriterion("SUBJNAME <=", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameLike(String value) {
			addCriterion("SUBJNAME like", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotLike(String value) {
			addCriterion("SUBJNAME not like", value, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameIn(List<String> values) {
			addCriterion("SUBJNAME in", values, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotIn(List<String> values) {
			addCriterion("SUBJNAME not in", values, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameBetween(String value1, String value2) {
			addCriterion("SUBJNAME between", value1, value2, "subjname");
			return (Criteria) this;
		}

		public Criteria andSubjnameNotBetween(String value1, String value2) {
			addCriterion("SUBJNAME not between", value1, value2, "subjname");
			return (Criteria) this;
		}

		public Criteria andBalanorientIsNull() {
			addCriterion("BALANORIENT is null");
			return (Criteria) this;
		}

		public Criteria andBalanorientIsNotNull() {
			addCriterion("BALANORIENT is not null");
			return (Criteria) this;
		}

		public Criteria andBalanorientEqualTo(String value) {
			addCriterion("BALANORIENT =", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientNotEqualTo(String value) {
			addCriterion("BALANORIENT <>", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientGreaterThan(String value) {
			addCriterion("BALANORIENT >", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientGreaterThanOrEqualTo(String value) {
			addCriterion("BALANORIENT >=", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientLessThan(String value) {
			addCriterion("BALANORIENT <", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientLessThanOrEqualTo(String value) {
			addCriterion("BALANORIENT <=", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientLike(String value) {
			addCriterion("BALANORIENT like", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientNotLike(String value) {
			addCriterion("BALANORIENT not like", value, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientIn(List<String> values) {
			addCriterion("BALANORIENT in", values, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientNotIn(List<String> values) {
			addCriterion("BALANORIENT not in", values, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientBetween(String value1, String value2) {
			addCriterion("BALANORIENT between", value1, value2, "balanorient");
			return (Criteria) this;
		}

		public Criteria andBalanorientNotBetween(String value1, String value2) {
			addCriterion("BALANORIENT not between", value1, value2, "balanorient");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNull() {
			addCriterion("PK_CURRTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNotNull() {
			addCriterion("PK_CURRTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeEqualTo(String value) {
			addCriterion("PK_CURRTYPE =", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotEqualTo(String value) {
			addCriterion("PK_CURRTYPE <>", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThan(String value) {
			addCriterion("PK_CURRTYPE >", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE >=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThan(String value) {
			addCriterion("PK_CURRTYPE <", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE <=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLike(String value) {
			addCriterion("PK_CURRTYPE like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotLike(String value) {
			addCriterion("PK_CURRTYPE not like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIn(List<String> values) {
			addCriterion("PK_CURRTYPE in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotIn(List<String> values) {
			addCriterion("PK_CURRTYPE not in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE not between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andChecktypeIsNull() {
			addCriterion("CHECKTYPE is null");
			return (Criteria) this;
		}

		public Criteria andChecktypeIsNotNull() {
			addCriterion("CHECKTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andChecktypeEqualTo(String value) {
			addCriterion("CHECKTYPE =", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeNotEqualTo(String value) {
			addCriterion("CHECKTYPE <>", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeGreaterThan(String value) {
			addCriterion("CHECKTYPE >", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeGreaterThanOrEqualTo(String value) {
			addCriterion("CHECKTYPE >=", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeLessThan(String value) {
			addCriterion("CHECKTYPE <", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeLessThanOrEqualTo(String value) {
			addCriterion("CHECKTYPE <=", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeLike(String value) {
			addCriterion("CHECKTYPE like", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeNotLike(String value) {
			addCriterion("CHECKTYPE not like", value, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeIn(List<String> values) {
			addCriterion("CHECKTYPE in", values, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeNotIn(List<String> values) {
			addCriterion("CHECKTYPE not in", values, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeBetween(String value1, String value2) {
			addCriterion("CHECKTYPE between", value1, value2, "checktype");
			return (Criteria) this;
		}

		public Criteria andChecktypeNotBetween(String value1, String value2) {
			addCriterion("CHECKTYPE not between", value1, value2, "checktype");
			return (Criteria) this;
		}

		public Criteria andCheckvalueIsNull() {
			addCriterion("CHECKVALUE is null");
			return (Criteria) this;
		}

		public Criteria andCheckvalueIsNotNull() {
			addCriterion("CHECKVALUE is not null");
			return (Criteria) this;
		}

		public Criteria andCheckvalueEqualTo(String value) {
			addCriterion("CHECKVALUE =", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueNotEqualTo(String value) {
			addCriterion("CHECKVALUE <>", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueGreaterThan(String value) {
			addCriterion("CHECKVALUE >", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueGreaterThanOrEqualTo(String value) {
			addCriterion("CHECKVALUE >=", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueLessThan(String value) {
			addCriterion("CHECKVALUE <", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueLessThanOrEqualTo(String value) {
			addCriterion("CHECKVALUE <=", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueLike(String value) {
			addCriterion("CHECKVALUE like", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueNotLike(String value) {
			addCriterion("CHECKVALUE not like", value, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueIn(List<String> values) {
			addCriterion("CHECKVALUE in", values, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueNotIn(List<String> values) {
			addCriterion("CHECKVALUE not in", values, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueBetween(String value1, String value2) {
			addCriterion("CHECKVALUE between", value1, value2, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andCheckvalueNotBetween(String value1, String value2) {
			addCriterion("CHECKVALUE not between", value1, value2, "checkvalue");
			return (Criteria) this;
		}

		public Criteria andInitamountIsNull() {
			addCriterion("INITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andInitamountIsNotNull() {
			addCriterion("INITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andInitamountEqualTo(BigDecimal value) {
			addCriterion("INITAMOUNT =", value, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountNotEqualTo(BigDecimal value) {
			addCriterion("INITAMOUNT <>", value, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountGreaterThan(BigDecimal value) {
			addCriterion("INITAMOUNT >", value, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("INITAMOUNT >=", value, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountLessThan(BigDecimal value) {
			addCriterion("INITAMOUNT <", value, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("INITAMOUNT <=", value, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountIn(List<BigDecimal> values) {
			addCriterion("INITAMOUNT in", values, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountNotIn(List<BigDecimal> values) {
			addCriterion("INITAMOUNT not in", values, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("INITAMOUNT between", value1, value2, "initamount");
			return (Criteria) this;
		}

		public Criteria andInitamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("INITAMOUNT not between", value1, value2, "initamount");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNull() {
			addCriterion("USE_STATE is null");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNotNull() {
			addCriterion("USE_STATE is not null");
			return (Criteria) this;
		}

		public Criteria andUseStateEqualTo(String value) {
			addCriterion("USE_STATE =", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotEqualTo(String value) {
			addCriterion("USE_STATE <>", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThan(String value) {
			addCriterion("USE_STATE >", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThanOrEqualTo(String value) {
			addCriterion("USE_STATE >=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThan(String value) {
			addCriterion("USE_STATE <", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThanOrEqualTo(String value) {
			addCriterion("USE_STATE <=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLike(String value) {
			addCriterion("USE_STATE like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotLike(String value) {
			addCriterion("USE_STATE not like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateIn(List<String> values) {
			addCriterion("USE_STATE in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotIn(List<String> values) {
			addCriterion("USE_STATE not in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateBetween(String value1, String value2) {
			addCriterion("USE_STATE between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotBetween(String value1, String value2) {
			addCriterion("USE_STATE not between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNull() {
			addCriterion("CREATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNotNull() {
			addCriterion("CREATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andCreateUserEqualTo(String value) {
			addCriterion("CREATE_USER =", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotEqualTo(String value) {
			addCriterion("CREATE_USER <>", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThan(String value) {
			addCriterion("CREATE_USER >", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
			addCriterion("CREATE_USER >=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThan(String value) {
			addCriterion("CREATE_USER <", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThanOrEqualTo(String value) {
			addCriterion("CREATE_USER <=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLike(String value) {
			addCriterion("CREATE_USER like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotLike(String value) {
			addCriterion("CREATE_USER not like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserIn(List<String> values) {
			addCriterion("CREATE_USER in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotIn(List<String> values) {
			addCriterion("CREATE_USER not in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserBetween(String value1, String value2) {
			addCriterion("CREATE_USER between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotBetween(String value1, String value2) {
			addCriterion("CREATE_USER not between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNull() {
			addCriterion("CREATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNotNull() {
			addCriterion("CREATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeEqualTo(Date value) {
			addCriterion("CREATE_TIME =", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotEqualTo(Date value) {
			addCriterion("CREATE_TIME <>", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThan(Date value) {
			addCriterion("CREATE_TIME >", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME >=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThan(Date value) {
			addCriterion("CREATE_TIME <", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME <=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIn(List<Date> values) {
			addCriterion("CREATE_TIME in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotIn(List<Date> values) {
			addCriterion("CREATE_TIME not in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME not between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNull() {
			addCriterion("UPDATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNotNull() {
			addCriterion("UPDATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserEqualTo(String value) {
			addCriterion("UPDATE_USER =", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotEqualTo(String value) {
			addCriterion("UPDATE_USER <>", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThan(String value) {
			addCriterion("UPDATE_USER >", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER >=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThan(String value) {
			addCriterion("UPDATE_USER <", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER <=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLike(String value) {
			addCriterion("UPDATE_USER like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotLike(String value) {
			addCriterion("UPDATE_USER not like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIn(List<String> values) {
			addCriterion("UPDATE_USER in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotIn(List<String> values) {
			addCriterion("UPDATE_USER not in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserBetween(String value1, String value2) {
			addCriterion("UPDATE_USER between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotBetween(String value1, String value2) {
			addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNull() {
			addCriterion("UPDATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNotNull() {
			addCriterion("UPDATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeEqualTo(Date value) {
			addCriterion("UPDATE_TIME =", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotEqualTo(Date value) {
			addCriterion("UPDATE_TIME <>", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThan(Date value) {
			addCriterion("UPDATE_TIME >", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME >=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThan(Date value) {
			addCriterion("UPDATE_TIME <", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME <=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIn(List<Date> values) {
			addCriterion("UPDATE_TIME in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotIn(List<Date> values) {
			addCriterion("UPDATE_TIME not in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNull() {
			addCriterion("REMARK is null");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNotNull() {
			addCriterion("REMARK is not null");
			return (Criteria) this;
		}

		public Criteria andRemarkEqualTo(String value) {
			addCriterion("REMARK =", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotEqualTo(String value) {
			addCriterion("REMARK <>", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThan(String value) {
			addCriterion("REMARK >", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThanOrEqualTo(String value) {
			addCriterion("REMARK >=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThan(String value) {
			addCriterion("REMARK <", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThanOrEqualTo(String value) {
			addCriterion("REMARK <=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLike(String value) {
			addCriterion("REMARK like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotLike(String value) {
			addCriterion("REMARK not like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkIn(List<String> values) {
			addCriterion("REMARK in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotIn(List<String> values) {
			addCriterion("REMARK not in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkBetween(String value1, String value2) {
			addCriterion("REMARK between", value1, value2, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotBetween(String value1, String value2) {
			addCriterion("REMARK not between", value1, value2, "remark");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {
		protected Criteria() {
			super();
		}
	}

	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}
    
}